"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SalesforceDMP = (function () {
    function SalesforceDMP() {
        if (SalesforceDMP.instance) {
            throw new Error("Error: Instance already created: Use Salesforce.getInstance() instead of new.");
        }
        SalesforceDMP.instance = this;
    }
    SalesforceDMP.getInstance = function () {
        return SalesforceDMP.instance;
    };
    SalesforceDMP.prototype.initialize = function (configId, debug) {
        this.kruxTracker = KruxTracker.sharedEventTrackerWithConfigIdDebugFlagDryRunFlag(configId, debug, false);
    };
    SalesforceDMP.prototype.trackPageView = function (page, pageAttributes, userAttributes) {
        this.kruxTracker.trackPageViewPageAttributesUserAttributes(page, pageAttributes, userAttributes);
    };
    SalesforceDMP.prototype.fireEvent = function (event, eventAttributes) {
        this.kruxTracker.fireEventEventAttributesWithError(event, eventAttributes);
    };
    return SalesforceDMP;
}());
SalesforceDMP.instance = new SalesforceDMP();
exports.SalesforceDMP = SalesforceDMP;
//# sourceMappingURL=salesforce.ios.js.map